Subject: Re: [bitcoindev] Proposal for Quantum-Resistant Address Migration Protocol (QRAMP) BIP

From: Dustin Ray <[email-masked]>
Date: Tue, 11 Feb 2025 16:15:19 -0800

Right off the bat I notice you are proposing that legacy funds become
unspendable after a certain block height which immediately raises serious
problems. A migration to quantum hard addresses in this manner would cause
serious financial damage to anyone holding legacy funds, if I understand
your proposal correctly.

On Tue, Feb 11, 2025 at 4:10 PM Agustin Cruz <[email-masked]> wrote:

> Dear Bitcoin Developers,
>
> I am writing to share my proposal for a new Bitcoin Improvement Proposal
> (BIP) titled *Quantum-Resistant Address Migration Protocol (QRAMP)*. The
> goal of this proposal is to safeguard Bitcoin against potential future
> quantum attacks by enforcing a mandatory migration period for funds held in
> legacy Bitcoin addresses (secured by ECDSA) to quantum-resistant addresses.
>
> The proposal outlines:
>
>    - *Reducing Vulnerabilities:* Transitioning funds to quantum-resistant
>    schemes preemptively to eliminate the risk posed by quantum attacks on
>    exposed public keys.
>    - *Enforcing Timelines:* A hard migration deadline that forces timely
>    action, rather than relying on a gradual, voluntary migration that might
>    leave many users at risk.
>    - *Balancing Risks:* Weighing the non-trivial risk of funds being
>    permanently locked against the potential catastrophic impact of a quantum
>    attack on Bitcoin’s security.
>
> Additionally, the proposal addresses common criticisms such as the risk of
> permanent fund loss, uncertain quantum timelines, and the potential for
> chain splits. It also details backwards compatibility measures,
> comprehensive security considerations, an extensive suite of test cases,
> and a reference implementation plan that includes script interpreter
> changes, wallet software updates, and network monitoring tools.
>
> For your convenience, I have published the full proposal on my GitHub
> repository. You can review it at the following link:
>
> Quantum-Resistant Address Migration Protocol (QRAMP) Proposal on GitHub
> <https://github.com/chucrut/bips/blob/master/bip-xxxxx.md>
>
> I welcome your feedback and suggestions and look forward to engaging in a
> constructive discussion on how best to enhance the security and resilience
> of the Bitcoin network in the quantum computing era.
>
> Thank you for your time and consideration.
>
> Best regards,
>
> Agustin Cruz
>
> --
> You received this message because you are subscribed to the Google Groups
> "Bitcoin Development Mailing List" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> To view this discussion visit
> https://groups.google.com/d/msgid/bitcoindev/08a544fa-a29b-45c2-8303-8c5bde8598e7n%40googlegroups.com
> <https://groups.google.com/d/msgid/bitcoindev/08a544fa-a29b-45c2-8303-8c5bde8598e7n%40googlegroups.com?utm_medium=email&utm_source=footer>
> .
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAC3UE4%2Bkme2N6D_Xx8%2BVaH1BJnkVEfntPmnLQzaqTQfK4D5QhQ%40mail.gmail.com.